For the complete documentation index, see llms.txt. This page is also available as Markdown.

Categories

We also support categories for easy.

Get Categories

Get a list of categories

GET https://hashtag5.p.rapidapi.com/api/v2.1/categories

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

{
    "categories": [
        {
            "name": "Alcohol",
            "id": 1
        },
        {
            "name": "Animals",
            "id": 2
        },
        {
            "name": "Art",
            "id": 3
        },
        {
            "name": "Beauty",
            "id": 4
        },
        {
            "name": "Books",
            "id": 5
        },
        {
            "name": "Brands",
            "id": 6
        },
        {
            "name": "Celebrations",
            "id": 7
        },
        {
            "name": "City",
            "id": 8
        },
        {
            "name": "Entertainment",
            "id": 9
        },
        {
            "name": "Food",
            "id": 10
        },
        {
            "name": "Family",
            "id": 11
        },
        {
            "name": "Fashion",
            "id": 12
        },
        {
            "name": "Finance",
            "id": 13
        },
        {
            "name": "Fitness",
            "id": 14
        },
        {
            "name": "Health",
            "id": 15
        },
        {
            "name": "Holidays",
            "id": 16
        },
        {
            "name": "Makeup",
            "id": 17
        },
        {
            "name": "Mood",
            "id": 18
        },
        {
            "name": "Music",
            "id": 19
        },
        {
            "name": "Nature",
            "id": 20
        },
        {
            "name": "Nightlife",
            "id": 21
        },
        {
            "name": "Party",
            "id": 22
        },
        {
            "name": "People",
            "id": 23
        },
        {
            "name": "Photography",
            "id": 24
        },
        {
            "name": "Quotes",
            "id": 25
        },
        {
            "name": "Season",
            "id": 26
        },
        {
            "name": "Spiritual",
            "id": 27
        },
        {
            "name": "Sports",
            "id": 28
        },
        {
            "name": "Travel",
            "id": 29
        },
        {
            "name": "Social",
            "id": 30
        },
        {
            "name": "Videography",
            "id": 31
        },
        {
            "name": "Weather",
            "id": 32
        },
        {
            "name": "Weddings",
            "id": 33
        },
        {
            "name": "Wellness",
            "id": 34
        },
        {
            "name": "Writing",
            "id": 35
        },
        {
            "name": "Wealth",
            "id": 36
        }
    ]
}

Take a look at how you might call this method using our official libraries, or via curl:

Get Specific Categories

Get a specific categories

GET https://hashtag5.p.rapidapi.com/api/v2.1/categories/:id

Path Parameters

Name
Type
Description

id*

1

The id of the category

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

Take a look at how you might call this method using our official libraries, or via curl:

Get Tags for Categories

Get tags from a specific categories

GET https://hashtag5.p.rapidapi.com/api/v2.1/categories/:id/tags

Path Parameters

Name
Type
Description

id*

1

The id of the category

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

Take a look at how you might call this method using our official libraries, or via curl:

Last updated